function checkCorrectas(){
	for(i = 0 ; i < numQuestions; i++){
		var input = $("input[name=key"+i+"b0]:checked");
		var valor = input.val();
		eval("var respuesta = key"+i);
		$("input[name=key"+i+"b0][value="+respuesta+"]").parent().css("fontWeight", "");
		
		if(respuesta == valor){
			input.parent().append("<span style='color:#2EC83F; margin-right: 523px; float: right;' class='retro'><img src='./images/correcto.png' border='0' width='26' /> ¡Correcto!</span>");
		}else{
			//console.log(valor);
			if(typeof valor == "undefined"){
				$("input[name=key"+i+"b0]").last().parent().append("<span style='color:#D2373E; margin-left:198px;' class='retro'><img src='./images/incorrecto.png' border='0' width='24' /> ¡Incorrecto!</span>");
			}else{
				input.parent().append("<span style='color:#D2373E; margin-right: 516px; float: right;' class='retro'><img src='./images/incorrecto.png' border='0' width='24' /> ¡Incorrecto!</span>");
			}
		}
	}
	showAcciones();
}

function repetir(){
		$("#rubrica").hide();

	$("#quizForm0")[0].reset();
	$("#acciones").slideUp("slow");
	$(".retro").remove();
	$("input[name=submitB]").prop("disabled", false);
	$("input[name!=submitB]").parent().removeAttr("style");
	rawScore = 0;
	$('html, body').animate({scrollTop:0}, 1000);
}

function showAcciones(){
	$("#acciones").slideDown("slow");
	$("#repetir").hide();
	$("input[name=submitB]").hide();
 	var res = Math.round(rawScore / numQuestions * 10);
	var etiqueta = "";
	if(res > 6 ){
		etiqueta = "¡Muy bien!";
	}else{
		etiqueta = "";
	}
 
	$("#resultados").html("<p style='padding-top:0%; text-align:center; font-size:20px;'>"+ etiqueta +"<br>Obtuviste " + rawScore +" de "+numQuestions+".</p>")
}

function setRubrica(calif){
	/*
	var rubricaString = "";
	if (calif >= 66 && calif <= 100) {
	
		 $('#acciones').after('<img src="./images/ampliacion.jpg" border="0" />');
		rubricaString = "Rúbrica: Ampliación";
		scorm.set("cmi.comments_from_learner.0.comment",rubricaString );
		console.log("Envío de datos Scorm: " + rubricaString);
	} else if (calif >= 33 && calif < 66) {
		//$('#acciones').after('<img src="./images/refuerzo.jpg" border="0" />');
		rubricaString = "Rúbrica: Refuerzo";
		scorm.set("cmi.comments_from_learner.0.comment",rubricaString );
		console.log("Envío de datos Scorm: " + rubricaString);
	} else {
		//$('#acciones').after('<img src="./images/practica.jpg" border="0" />');
		rubricaString = "Rúbrica: Práctica";
		scorm.set("cmi.comments_from_learner.0.comment", rubricaString);
		console.log("Envío de datos Scorm: " + rubricaString);
	}
	*/
}